<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true)
	{
		$arr_album = mysql_fetch_array(mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$id."' LIMIT 1"));
		$arr_user = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$arr_album['user_id']."' LIMIT 1"));
	}
	else
	{
		go(URL.'/');
	}
}
else
{
	go(URL.'/');
}

if (!empty($_GET['target']) && !empty($_GET['from']) && is_numeric($_GET['from'])) $target = '&target='.check($_GET['target']).'&from='.abs(intval($_GET['from'])); else $target = '';

$title = $arr_user['name'].' '.$arr_user['surname'].' :: '.$arr_album['name'];
require_once '../incfiles/head.php';
require_once 'handler/upload.php';
require_once 'handler/del_photo.php';

echo user_access_page($arr_user);

	echo '<div class="title">
	<a href="'.URL.'/?id='.$arr_user['id'].'" onclick="Page.Go(this.href); return false">'.$arr_user['name'].' '.$arr_user['surname'].'</a>
	<a href="'.URL.'/photos/?id='.$arr_user['id'].''.$target.'" onclick="Page.Go(this.href); return false">'.lang('Фотоальбомы','Фотоальбоми').'</a>';
	if (!empty($user_id) && $device == 'Computer') echo' <a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_user['id'].'" onclick="Title.Open(); return false">'.$arr_album['name'].' <img src="'.URL.'/design/img/title_menu.png"/></a>
	</div>';
	if (!empty($user_id) && $device == 'Mobile') echo' <a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_album['id'].'&act=opcii" onclick="Page.Go(this.href); return false">'.$arr_album['name'].' <img src="'.URL.'/design/img/title_menu.png"/></a>
	</div>';
	
		
		
$act = htmlentities(trim($_GET['act']));
	
switch($act)
{
default:	
break;
case 'opcii':
if (!empty($user_id) && $user_id == $arr_user['id'])
	{
		echo '<div class="title">
		<a href="'.URL.'/photos/upload.php?id='.$id.'" onclick="Page.Go(this.href); return false;">'.lang('Загрузить','Завантажити').' фото</a>
		<a href="'.URL.'/photos/edit_album.php?id='.$id.'" onclick="Page.Go(this.href); return false;">'.lang('Редактировать','Редагувати').' альбом</a>
		<a href="'.URL.'/photos/del_album.php?id='.$id.'" onclick="Page.Go(this.href); return false;">'.lang('Удалить','Видалити').' альбом</a>
		</div>';
}	
break;
}


	
	
	
	if (!empty($user_id) && $user_id == $arr_user['id'])
	{
		echo '<div id="title_menu">
		<a href="'.URL.'/photos/upload.php?id='.$id.'" onclick="Page.Go(this.href); return false;">'.lang('Загрузить','Завантажити').' фото</a>
		<a href="'.URL.'/photos/edit_album.php?id='.$id.'" onclick="Page.Go(this.href); return false;">'.lang('Редактировать','Редагувати').' альбом</a>
		<a href="'.URL.'/photos/del_album.php?id='.$id.'" onclick="Page.Go(this.href); return false;">'.lang('Удалить','Видалити').' альбом</a>
		</div>';
	}	
	










	$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `photos_file` WHERE `aid` = '".$id."' LIMIT 1"),0);
	if ($all == true)
	{
		echo '<div class="block"><center>';
		
		$cp = ceil($all/12);
		$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
		$start = $p*12-12;
		$n = $start;
		$res = mysql_query("SELECT * FROM `photos_file` WHERE `aid` = '".$id."' ORDER by `time` DESC LIMIT $start,12");
		while ($arr = mysql_fetch_array($res))
		{
			$n++;
			echo '<a href="'.URL.'/photos/'.(!empty($target)?'select.php?fid='.$arr['id'].''.$target:'preview.php?id='.$id.'&n='.$n).'" onclick="Page.Go(this.href); return false;"><img class="preview_mini" src="'.URL.'/files/photos/'.$arr_user['id'].'/mini/'.$arr['name'].'"></a>';
		}
	echo'</center></div>';
		
	navi($p,$cp,'/photos/album.php?id='.$id.''.$target.'&');
	}
	else 
		if (!empty($user_id) && $device == 'Computer') if (!empty($user_id) && $user_id == $arr_user['id'] && $all == 0) echo '<p><div class="time"><center>'.lang('Для загрузки фотографий в альбом нажмите на кнопку<p><a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_user['id'].'" onclick="Title.Open(); return false">'.$arr_album['name'].' <img src="'.URL.'/design/img/title_menu.png"/></a></p>которая содержит в себе скрытое меню','Для завантаження фотографій в альбом натисніть на кнопку<p><a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_user['id'].'" onclick="Title.Open(); return false">'.$arr_album['name'].' <img src="'.URL.'/design/img/title_menu.png"/></a></p> яка містить в собі приховане меню').'</center></div></p>';
if (!empty($user_id) && $device == 'Mobile') if (!empty($user_id) && $user_id == $arr_user['id'] && $all == 0) echo '<p><div class="time"><center>'.lang('Для загрузки фотографий в альбом нажмите на кнопку<p><a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_album['id'].'&act=opcii" onclick="Page.Go(this.href); return false">'.$arr_album['name'].' <img src="'.URL.'/design/img/title_menu.png"/></a></p>которая содержит в себе скрытое меню','Для завантаження фотографій в альбом натисніть на кнопку<p><a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_album['id'].'&act=opcii" onclick="Page.Go(this.href); return false">'.$arr_album['name'].' <img src="'.URL.'/design/img/title_menu.png"/></a></p> яка містить в собі приховане меню').'</center></div></p>';

require_once '../incfiles/foot.php';

?>